Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005531OCamlOCamlbuild (the tool)public2012-03-09 15:332013-08-31 12:49
Reporterdbuenzli 
Assigned Tomeyer 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1 
Target VersionFixed in Version 
Summary0005531: ocamlbuild, no way to pass command line flags to ocamldoc ?
DescriptionUnless I'm mistaken there's no way to pass command line flags to ocamldoc. Up to now I was using

    ocamlbuild -ocamldoc "ocamldoc $OCAMLDOCFLAGS"

but that doesn't work if you use `ocamlbuild -use-ocamlfind`.

Maybe something like `-ocamldocflag` `-ocamldocflags`.

Thanks,

Daniel
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007390)
meyer (developer)
2012-04-25 03:34

Fixed on trunk with SVN r12395. Considered to be pushed soon into 4.0.
(0007392)
meyer (developer)
2012-04-26 02:21

.. and in 4.0 as r12402

- Issue History
Date Modified Username Field Change
2012-03-09 15:33 dbuenzli New Issue
2012-03-26 15:20 lefessan Assigned To => xclerc
2012-03-26 15:20 lefessan Status new => acknowledged
2012-04-25 02:54 meyer Assigned To xclerc => meyer
2012-04-25 02:54 meyer Status acknowledged => assigned
2012-04-25 03:34 meyer Note Added: 0007390
2012-04-26 02:21 meyer Note Added: 0007392
2012-04-26 02:21 meyer Status assigned => resolved
2012-04-26 02:21 meyer Resolution open => fixed
2013-08-31 12:49 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker